| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
precedence::AlgoTraceProps Struct Reference

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::AlgoTraceProps:
[legend]

## Public Member Functions
| AlgoTraceProps ()
| AlgoTraceProps (const std::string &name, int index, int rank, double runtime)

## Public Attributes
std::string | m_name
int | m_index {-1}
int | m_rank {-1}
int | m_runtime {-1}
int | m_eccentricity {-1}

## Detailed Description

Definition at line 39 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ AlgoTraceProps() [1/2]

precedence::AlgoTraceProps::AlgoTraceProps | ( |  | ) |
| inline

Definition at line 40 of file PrecedenceRulesGraph.h.

40 {}

## ◆ AlgoTraceProps() [2/2]

precedence::AlgoTraceProps::AlgoTraceProps | ( | const std::string & | name,
|  | int | index,
|  | int | rank,
|  | double | runtime
| ) |  |
| inline

Definition at line 41 of file PrecedenceRulesGraph.h.

42 : m_name( name ), m_index( index ), m_rank( rank ), m_runtime( runtime ) {}
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
precedence::AlgoTraceProps::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:43
precedence::AlgoTraceProps::m_rank
int m_rank
Definition: PrecedenceRulesGraph.h:45
precedence::AlgoTraceProps::m_runtime
int m_runtime
Definition: PrecedenceRulesGraph.h:46
precedence::AlgoTraceProps::m_index
int m_index
Definition: PrecedenceRulesGraph.h:44

## Member Data Documentation

## ◆ m_eccentricity

int precedence::AlgoTraceProps::m_eccentricity {-1}

Definition at line 47 of file PrecedenceRulesGraph.h.

## ◆ m_index

int precedence::AlgoTraceProps::m_index {-1}

Definition at line 44 of file PrecedenceRulesGraph.h.

## ◆ m_name

std::string precedence::AlgoTraceProps::m_name

Definition at line 43 of file PrecedenceRulesGraph.h.

## ◆ m_rank

int precedence::AlgoTraceProps::m_rank {-1}

Definition at line 45 of file PrecedenceRulesGraph.h.

## ◆ m_runtime

int precedence::AlgoTraceProps::m_runtime {-1}

Definition at line 46 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h